## armhf-cross-toolchain-base 1.75

=== debian/changelog ===
armhf-cross-toolchain-base (1.75) oneiric; urgency=low

  * Refreshed eglibc patches which should fix not reproductible FTFBS - closes
  	LP: #864591

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 03 Oct 2011 13:16:15 +0200

armhf-cross-toolchain-base (1.74) oneiric; urgency=low

  * Created dummy libc6-arm(el|hf)-arm(hf|el)-cross packages.
  * Added PKG_IGNORE_CURRENTLY_BUILDING=1 to each dpkg-deb -b call.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 29 Sep 2011 15:42:41 +0200

armhf-cross-toolchain-base (1.73) oneiric; urgency=low

  * Documented changes done by repack_debs function.
  * Created dummy libc6-dev-arm(el|hf)-arm(hf|el)-cross packages to make
  	multilib cross compiler possible.
  * libc6-dev-armhf-cross ships symlink to /usr/arm-linux-gnueabi/lib/hf for
  	multilib cross compiler.
  * Added dpkg to list of ignored dependencies while dpkg-crossing
    packages - libc6-dbg has it in Pre-Depends.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 26 Sep 2011 20:44:54 +0200

armhf-cross-toolchain-base (1.72) oneiric; urgency=low

  * Integrated changes from PPA builds:
    - use fakeroot for eglibc builds
    - fixed mangling of versions in debian/control
    - added EXTRA_DEPS to get rid of gcc-4.5 dependency
    - lower dpkg dependency to 1.15.5
  * Bumped dependency on gcc-4.6 to 4.6.1-6 (patches got merged)
  * Refreshed eglibc patches for PPA:
    - new languages were added
    - do not move headers for non-multiarch builds
    - drop Multi-Arch: fields from debian/control for PPA builds
  * Depend on unversioned 'linux-source' package - closes LP: #827026
  * rewrote lintian overrides support for cross compilation files
    - closes LP: #798991, #760421
  * patched binutils to get rid of lintian warnings - closes LP: #760420
  * made some functions quiet
  * added "|true" to quilt invocations to make them work for empty series
  * Debian support related changes:
    - refreshed eglibc patches
    - rewrote build-linux step - closes #611382

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 26 Aug 2011 10:58:06 +0200

armhf-cross-toolchain-base (1.71) oneiric; urgency=low

  * Require dpkg-cross 2.6.5 (build fails due to missing dependencies on
    Locale/gettext.pm otherwise)

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 28 Jul 2011 15:49:07 +0200

armhf-cross-toolchain-base (1.70) oneiric; urgency=low

  * Rebuild to keep up with Linaro 2011.07 release.
  * Use patches from LP: 816852 to disable multilib in gcc build
    - we bootstrap compiler so we lack any libraries and want to build one
      arch at time
  * Hack eglibc to remove armhf multilib from armel build.
  * Add build-arch and build-indep makefile targets to debian/rules
  * Updated components versions for PPA builds

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 28 Jul 2011 11:47:10 +0200

armhf-cross-toolchain-base (1.69) oneiric; urgency=low

  * Rebuild to keep up with Linaro 2011.06 release.
  * Updated components versions for PPA builds
  * Fixed dir to gcc patches

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 24 Jun 2011 08:53:43 +0200

armhf-cross-toolchain-base (1.68) oneiric; urgency=low

  * Update to use linux-source-3.0 instead of linux-source-2.6.39 one.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 13 Jun 2011 15:09:20 +0200

armhf-cross-toolchain-base (1.67) oneiric; urgency=low

  * Rebuild to keep up with gcc-4.6 version - LP: #794534

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 08 Jun 2011 15:51:13 +0200

armhf-cross-toolchain-base (1.66) oneiric; urgency=low

  * Added submitted-armhf-triplet patch from Debian eglibc svn r4648 to fix
    armhf compilation.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Jun 2011 17:36:09 +0200

armhf-cross-toolchain-base (1.65) oneiric; urgency=low

  * rebuild due to version difference between gcc-4.6-armel-cross and
    this one which ends in uninstallable packages

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 02 Jun 2011 15:52:38 +0200

armhf-cross-toolchain-base (1.64) oneiric; urgency=low

  * First release for Ubuntu 'oneiric' 11.10:
  * synced versions with Debian
    - gcc 4.6
    - eglibc 2.13
  * linux 2.6.39 used for Ubuntu
  * added gcc-4.5 as it isrequired for eglibc (switch to 4.6 not before 2.14
    release according to Matthias Klose)
  * dropped merged patches from gcc and binutils
  * renamed patches/gcc-4.5 to unversioned patches/gcc
  * added lintian overrides for cross compilation files
  * Debian changes:
    * refreshed eglibc patches
    * dropped eglibc packaging information and bumped dependency to 2.13-5
      for it

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 30 May 2011 14:20:39 +0200

armhf-cross-toolchain-base (1.63) natty; urgency=low

  [Marcin Juszkiewicz]
  * fix lintian errors:
    - shlib-with-executable-bit - LP: #760420
    - arch-independent-package-contains-binary-or-object - LP: #760421
  * fix repack-debs-indep step
  * generate md5sums for each mangled package

  [Steve McIntyre]
  * drop hardcoded 'armel' from rules - LP: #761613

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 15 Apr 2011 13:29:09 +0200

armhf-cross-toolchain-base (1.62) natty; urgency=low

  * Fixed build to work with co-installable (multiarched) linux-libc-dev
    headers. LP: #750585.
  * Added copyright, changelog files into eglibc and linux cross packages
    LP: #755329
  * Changed dependencies from -1 -> -1~ to make lintian more happy.
  * Debian changes:
    - switched to gcc 4.6 under Debian
    - moved definition of GCC versions to distro parts
    - gcc-4.6: disable libquadmath for stages - sent for review/merge
    - fixed minimal version of binutils to Debian one
    - moved to 2.6.38 kernel
    - refreshed linux and eglibc patches
    - updated copy of linux-2.6 packaging to 2.6.38-3

