=== debian/control ===
Source: armhf-cross-toolchain-base
Section: devel
Priority: extra
#Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
Standards-Version: 3.9.1
Build-Depends: dpkg-cross (>= 2.6.5), binutils-multiarch (>= 2.20.1-3~),
  dpkg (>= 1.16.0~ubuntu6),
  binutils-source (>= 2.21.0.20110327-2~),
  eglibc-source (>= 2.13-0~),
  gcc-4.6-source (>= 4.6.1-6~),
  linux-source (>= 3.0.0-0~),
  gcc-4.4, g++-4.4, gcc-4.5, g++-4.5,
  autoconf (>= 2.64), autoconf2.64, autogen, automake (<< 1:1.12),
  automake (>= 1:1.11), bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
  dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
  gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
  libcloog-ppl-dev (>= 0.15.8-1~), libelfg0-dev (>= 0.8.12), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, lzma, m4,
  make (>= 3.81), module-init-tools,
  patchutils, procps, quilt, realpath (>= 1.9.12),
  sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
  asciidoc, texinfo, texi2html
Build-Conflicts: binutils-gold, binutils-arm-linux-gnueabihf
Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/armhf-cross-toolchain-base
Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git

Package: binutils-arm-linux-gnueabihf
Architecture: amd64 i386
Depends: binutils, ${shlibs:Depends}, ${misc:Depends}
Description: The GNU binary utilities, for arm-linux-gnueabihf target
 This package provides GNU assembler, linker and binary utilities
 for arm-linux-gnueabihf target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for arm-linux-gnueabihf.

Package: libc6-armhf-cross
Architecture: all
Section: libs
Depends: ${misc:Depends}
Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.

Package: libc6-dbg-armhf-cross
Architecture: all
Depends: ${misc:Depends}
Section: debug
Description: Embedded GNU C Library: detached debugging symbols (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 This package contains the detached debugging symbols for the GNU C
 library.

Package: libc6-dev-armhf-cross
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Conflicts: binutils-armhf-cross (<< 2.20.1-1), binutils-gold-armhf-cross (<< 2.20.1-11)
Description: Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libgcc1-armhf-cross
Architecture: all
Depends: gcc-4.5-arm-linux-gnueabihf-base, ${misc:Depends}
Homepage: http://gcc.gnu.org/
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for armhf architecture, for use in cross-compile
 environment.

Package: libgcc1-dbg-armhf-cross
Architecture: all
Depends: gcc-4.5-arm-linux-gnueabihf-base, ${misc:Depends}
Section: debug
Homepage: http://gcc.gnu.org/
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for armhf architecture, for use in cross-compile
 environment.

Package: linux-libc-dev-armhf-cross
Architecture: all
Depends: ${misc:Depends}
Provides: linux-kernel-headers-armhf-cross, linux-libc-dev-armhf-dcv1
Description: Linux Kernel Headers for development (for cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system
 libraries. They are NOT meant to be used to build third-party modules for
 your kernel. Use linux-headers-* packages for that.

Package: libc6-dev-armel-armhf-cross
Architecture: all
Depends: libc6-dev-armel-cross
Description: Dummy package to get libc6-dev:armel installed

Package: libc6-dev-armhf-armel-cross
Architecture: all
Depends: libc6-dev-armhf-cross
Description: Dummy package to get libc6-dev:armhf installed

Package: libc6-armel-armhf-cross
Architecture: all
Depends: libc6-armel-cross
Description: Dummy package to get libc6:armel installed

Package: libc6-armhf-armel-cross
Architecture: all
Depends: libc6-armhf-cross
Description: Dummy package to get libc6:armhf installed
