=== debian/rules ===
#!/usr/bin/make -f

# prefix for builds - without leading slash
PF ?= usr

# Linaro toolchain backports PPA support
PPA := false

# if debian/ppa is present then we do PPA
ifneq ($(wildcard debian/ppa),)
  PPA := true
endif

DISTRO := $(shell lsb_release -is)

ifeq ($(DISTRO),Debian)
  MIN_VER_EGLIBC := 2.13-5~
  MIN_VER_LINUX  := 3.0.0-0~
  MIN_VER_GCC    := 4.6.1-6~
  VER_LINUX      := 3.0.0
# default version of gcc which will be used
  VER_GCC_BASE   := 4.6
else
  MIN_VER_EGLIBC := 2.13-0~
  MIN_VER_LINUX  := 3.0.0-0~
  MIN_VER_GCC    := 4.6.1-6~
  VER_LINUX      := 3.0.0
# default version of gcc which will be used
  VER_GCC_BASE := 4.6
endif

EXTRA_DEPS = gcc-4.5, g++-4.5,

ifeq ($(PPA),false)

  VER_GCC          := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
  DEB_VER_GCC      := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
  VER_BINUTILS     := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-'|cut -d '.' -f1-3)
  PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
  DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
  VER_EGLIBC       := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
  DEB_VER_EGLIBC   := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')

  BINUTILS_DIR  := /usr/src/binutils
  EGLIBC_DIR    := /usr/src/glibc
  GCC_DIR       := /usr/src/gcc-${VER_GCC_BASE}

  ifeq ($(DISTRO),Debian)

    DEB_VER_LINUX  := 3.0.0-1

    EGLIBC_PATCHES := $(CURDIR)/debian/patches/eglibc/debian
    LINUX_SERIES   := $(CURDIR)/debian/patches/linux/series-debian

  else # Ubuntu

    DEB_VER_LINUX    := $(shell dpkg-parsechangelog -l/usr/src/linux-source-$(VER_LINUX)/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')

    EGLIBC_PATCHES := $(CURDIR)/debian/patches/eglibc/ubuntu
    LINUX_SERIES   := $(CURDIR)/debian/patches/linux/series-ubuntu

  endif

else # Linaro toolchain backport PPA

  EXTRA_DEPS       :=
  VER_GCC          := 4.6.1
  VER_EGLIBC       := 2.13
  VER_BINUTILS     := 2.21.53

  DEB_VER_LINUX    := $(shell dpkg-parsechangelog -l/usr/src/linux-source-$(VER_LINUX)/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
  DEB_VER_GCC      := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}-${VER_GCC}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
  DEB_VER_EGLIBC   := $(shell dpkg-parsechangelog -l/usr/src/glibc-${VER_EGLIBC}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
  PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils-${VER_BINUTILS}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
  DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils-${VER_BINUTILS}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')

  BINUTILS_DIR  := /usr/src/binutils-${VER_BINUTILS}
  EGLIBC_DIR    := /usr/src/glibc-${VER_EGLIBC}
  GCC_DIR       := /usr/src/gcc-${VER_GCC_BASE}-${VER_GCC}

  EGLIBC_PATCHES := $(CURDIR)/debian/patches/eglibc/ubuntu
  LINUX_SERIES   := $(CURDIR)/debian/patches/linux/series-ubuntu

endif

DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
DEB_VER_ACT      := $(shell dpkg-parsechangelog| sed -n 's/^Version: \(.*\)/\1/p')

CROSS_ARCH       := $(shell dpkg-parsechangelog| sed -n 's/-[^-]*//; s/^Source: \(.*\)-.*-.*/\1/p')
CROSS_GNU_TYPE   := $(shell dpkg-architecture -a${CROSS_ARCH} -qDEB_HOST_GNU_TYPE -f)
HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
stamp            := stamp-dir/

# taken from gcc packaging
define unpack_tarball
	tar -x -f $1
endef

info:
	@echo "Binutils version:         ${VER_BINUTILS}	${DEB_VER_BINUTILS}	${PKG_VER_BINUTILS}"
	@echo "GCC version:              ${VER_GCC}     	${DEB_VER_GCC}          ${VER_GCC_BASE}"
	@echo "Eglibc version:           ${VER_EGLIBC}  	${DEB_VER_EGLIBC}"
	@echo "Linux version:            ${VER_LINUX}   	${DEB_VER_LINUX}"
	@echo
	@echo "Target architecture:      ${CROSS_ARCH}"
	@echo "Target GNU type:          ${CROSS_GNU_TYPE}"
	@echo "Host architecture:        ${HOST_ARCH}"
	@echo "Host GNU type:            ${HOST_GNU_TYPE}"

$(stamp)init-dirs:
	mkdir debian/tmp -p
	touch $@

$(stamp)init-linux:
ifeq ($(DISTRO),Debian)
	$(call unpack_tarball, /usr/src/linux-source-${VER_LINUX}.tar.bz2)
else
	$(call unpack_tarball, /usr/src/linux-source-${VER_LINUX}/linux-source-${VER_LINUX}.tar.bz2)
	cp -a /usr/src/linux-source-${VER_LINUX}/debian linux-source-${VER_LINUX}/debian
	cp -a /usr/src/linux-source-${VER_LINUX}/debian.master linux-source-${VER_LINUX}/debian.master
endif
	cd linux-source-${VER_LINUX} && \
	QUILT_PATCHES=${CURDIR}/debian/patches/linux QUILT_SERIES=${LINUX_SERIES} quilt push -a | true
	touch $@

ifeq ($(DISTRO),Debian)
$(stamp)build-linux: $(stamp)init-linux
	set -e; \
	export DEBMAIL="`dpkg-parsechangelog |grep ^Maintainer | sed -e 's/^Maintainer: //g'`"; \
	export DEBEMAIL="`echo $$DEBMAIL | sed -e 's/.*<\(.*\)>/\1/g'`"; \
	export DEBFULLNAME="`echo $$DEBMAIL | sed -e 's/\(.*\)<.*>/\1/g'`"; \
	cd linux-source-${VER_LINUX} ;\
	export ARCH=arm ;\
	make omap2plus_defconfig ;\
	make oldnoconfig ;\
	echo 1 >.version ;\
	make deb-pkg
	rm -rf tmp
	install -d tmp
	dpkg-deb -x linux-libc-dev_${VER_LINUX}-1_${CROSS_ARCH}.deb tmp
	dpkg-deb -e linux-libc-dev_${VER_LINUX}-1_${CROSS_ARCH}.deb tmp/DEBIAN
	cd tmp/usr/include ;\
	rm -rf drm scsi ;\
	mkdir  ${CROSS_GNU_TYPE} ;\
	mv asm ${CROSS_GNU_TYPE}/ ;\
	rm -f `find . -name .install` ;\
	rm -f `find . -name ..install.cmd`
	PKG_IGNORE_CURRENTLY_BUILDING=1 dpkg-deb -b tmp linux-libc-dev_${VER_LINUX}-1_${CROSS_ARCH}.deb
	touch $@
else
$(stamp)build-linux: $(stamp)init-linux
	set -e; \
	cd linux-source-${VER_LINUX} ;\
	fakeroot make -f debian/rules clean ;\
	DEB_STAGE=stage1 PKG_IGNORE_CURRENTLY_BUILDING=1 BACKPORT=false dpkg-buildpackage -b -uc -us -a${CROSS_ARCH}
	touch $@
endif

$(stamp)install-linux: $(stamp)build-linux $(stamp)init-dirs
	dpkg-deb -x linux-libc-dev_${VER_LINUX}-*_${CROSS_ARCH}.deb debian/tmp
ifeq ($(DISTRO),Ubuntu)
# linux-libc-dev got multiarched in 2.6.38-8.42 and we need to take care of it - LP: #750585
	ln -sf $(CURDIR)/debian/tmp/usr/include/${CROSS_GNU_TYPE}/asm/ $(CURDIR)/debian/tmp/usr/include/asm
endif
	touch $@

$(stamp)init-binutils:
	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
	cd binutils-${PKG_VER_BINUTILS} ;\
	cp -a ${BINUTILS_DIR}/debian/ . ;\
	QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt push -a | true; \
	echo ${CROSS_ARCH} > debian/target;
	touch $@

$(stamp)build-binutils: $(stamp)init-binutils
	set -e ;\
	cd binutils-${PKG_VER_BINUTILS} ;\
	WITH_SYSROOT=${CURDIR}/debian/tmp PATCHED_SOURCES=yes PKG_IGNORE_CURRENTLY_BUILDING=1 BACKPORT=false dpkg-buildpackage -b -uc -us -nc -d
	# binutils wants dejagnu to generate docs which are not generate during cross build
	touch $@

$(stamp)build-final-binutils: $(stamp)build-eglibc2
	set -e ;\
	rm -rf binutils-${PKG_VER_BINUTILS}
	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
	cd binutils-${PKG_VER_BINUTILS} ;\
	cp -a ${BINUTILS_DIR}/debian/ . ;\
	QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt push -a | true; \
	echo ${CROSS_ARCH} > debian/target; \
	PATCHED_SOURCES=yes PKG_IGNORE_CURRENTLY_BUILDING=1 BACKPORT=false dpkg-buildpackage -b -uc -us -nc -d
	# binutils wants dejagnu to generate docs which are not generate during cross build
	touch $@

$(stamp)install-binutils: $(stamp)build-binutils $(stamp)init-dirs
