## armhf-cross-toolchain-base 1.82

=== debian/changelog ===
armhf-cross-toolchain-base (1.82) precise; urgency=low

  * Rebuild against lasest toolchain source packages for consistency.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Apr 2012 21:48:50 -0600

armhf-cross-toolchain-base (1.81) precise; urgency=low

  * Fixed patch to binutils to make linker use multiarch directories - LP: #923779
  * Allow to pass DISTRO variable to make it easier to check
    Debian/Ubuntu build dependencies.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 10 Apr 2012 11:34:13 +0200

armhf-cross-toolchain-base (1.80) precise; urgency=low

  [ Gustavo Alkmim]
  * Updates to make package building under Debian.
  * Copy multiarch headers to standard directory to fix build-eglibc stages.

  [ Marcin Juszkiewicz ]
  * Bumped gcc-4.6 requirement to 4.6.2-16 (due to patches merged).
  * Refreshed Ubuntu and Debian patches.
  * Debian only changes:
    - Automated checking of Linux version (idea from Gustavo).
    - Fixed 'build-linux' step for armhf target
    - clean tmp/ directory after 'build-linux' step to not break other
      packages.
  * Added patch to binutils to make linker use multiarch directories - LP: #923779

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 06 Apr 2012 10:38:19 +0200

armhf-cross-toolchain-base (1.79) precise; urgency=low

  * Rebuild with gcc 4.6.3

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 08 Mar 2012 16:30:09 +0100

armhf-cross-toolchain-base (1.78) precise; urgency=low

  * Updated gcc-4.6 dependency to 4.6.2-14ubuntu2 to get fixed
    debian/control.m4
  * Updated Debian build
  * Fixed multiarch directories patch.
  * Updated kernel version to 3.2
  * eglibc: refreshed patches to 2.15

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 16 Feb 2012 18:16:08 +0100

armhf-cross-toolchain-base (1.77) precise; urgency=low

  * Fixed paths for eglibc/stage1 - binaries moved from /lib to
  	/usr/lib/triplet/
  * Added build-gcc3 stamp to get libgcc1_s.so depending properly on libc.so.6
    - closes LP: #805581
  * Added hacky fix for debian/control generation - LP: #913734
  * Use all cpu cores during build of gcc.
  * PPA updates:
    - take care of linux-source dependency too
    - bumped versions
  * Debian updates:
    - rules: updated versions and handling of linux step under Debian
    - control: added lsb-release to build dependencies
    - eglibc: refreshed stages under Debian
    - linux: apply patches under Debian
  * removed code duplication for unpacking binutils
  * gcc: dropped merged patches
  * eglibc: refreshed patches
  * eglibc: disabled dh_shlibdeps as build was unable to find libraries dependencies
  * eglibc: dropped one patch as cross is using fortify now

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 18 Jan 2012 08:03:12 +0100

armhf-cross-toolchain-base (1.76) precise; urgency=low

  * Bumped gcc-4.6 dependency to 4.6.2-6 as it got lot of my changes merged:
    - make cross compilers depend on gcc-cross-base package - closes LP: #862436
    - enable hardening patches for cross builds - closes LP: #868924
    - do not remove gcc cross in 'install-driver' step - closes LP: #877333
    - fix usr_lib for hf/sf build - closes LP: #887111
  * Added new patches for eglibc:
    - disable fortify for cross builds
    - set LD_LIBRARY_PATH for dh_shlibdeps (local, not mergeable)
  * Dropped build time dependencies on gcc/g++ 4.5.
  * Added "init" task for testing patches.
  * Disabled "|true" in quilt so it is easier to catch broken patches.
  * Disabled patching linux-source as there are no patches for it.
  * Dropped binutils patches as they got merged.
  * Added /usr/arm-linux-gnueabihf/lib/sf symlink to libc6-dev-armel-cross.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 12 Dec 2011 21:34:01 +0100
