=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.1
 Build-Depends: dpkg-cross (>= 2.6.5), binutils-multiarch (>= 2.20.1-3~),
-  dpkg (>= 1.16.0~ubuntu6),
+  dpkg (>= 1.16.0~ubuntu6), fdupes, lsb-release,
   binutils-source (>= 2.21.0.20110327-2~),
-  eglibc-source (>= 2.13-0~),
-  gcc-4.6-source (>= 4.6.1-6~),
-  linux-source (>= 3.0.0-0~),
-  gcc-4.4, g++-4.4, gcc-4.5, g++-4.5,
+  eglibc-source (>= 2.13-20~),
+  gcc-4.6-source (>= 4.6.2-16),
+  linux-source (>= 3.2.0-0~), 
   autoconf (>= 2.64), autoconf2.64, autogen, automake (<< 1:1.12),
   automake (>= 1:1.11), bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
