## armhf-cross-toolchain-base 1.89

=== debian/changelog ===
armhf-cross-toolchain-base (1.89) quantal; urgency=low

  * Update to gcc 4.7.2

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 21 Sep 2012 13:26:15 +0200

armhf-cross-toolchain-base (1.88) quantal; urgency=low

  * Update to Linaro 12.09 gcc-4.7 release.
  * binutils: apply patch for Debian bug #686183
  * eglibc: dropped lucid patches
  * gcc-4.7: drop merged fix-control.m4.patch

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 17 Sep 2012 15:08:40 +0200

armhf-cross-toolchain-base (1.87) quantal; urgency=low

  * Update to Linaro 12.07 gcc-4.7 release.
  * Build linux-libc-dev without checking build dependencies - we satisfy all
    we need to get it built.
  * Added patch to gcc-4.7 to get debian/control fixed. Bug #680590

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 18 Jul 2012 15:04:09 +0200

armhf-cross-toolchain-base (1.86) quantal; urgency=low

  * Update to gcc 4.7.1
  * drop merged patch from gcc-4.7
  * added script to create non-multiarch copies of /usr/lib/TRIPLET/ for
  	build-gcc3

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 03 Jul 2012 13:42:54 +0200

armhf-cross-toolchain-base (1.85) quantal; urgency=low

  * Create debian/stamps/ directory for linux package - LP: #1001172

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 18 May 2012 11:54:05 +0200

armhf-cross-toolchain-base (1.84) quantal; urgency=low

  * Rebuild with new dpkg-cross.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 17 May 2012 17:41:21 +0200

armhf-cross-toolchain-base (1.83) quantal; urgency=low

  [ Wookey ]
  * Debian switched to gcc-4.7 so we have to too.

  [ Marcin Juszkiewicz ]
  * GCC-4.7 related changes:
    - added patch to drop --disable-multiarch for stage1
    - refreshed enable-multiarch-directories.patch
  * Dropped creation of /usr/TRIPLET/include/TRIPLET/asm directory under
  	Debian.
  * Moved cross binutils to separate source package as this will make
    armhf-cross-toolchain-base (a-c-t-b) arch:all so less building. Also
    allows to kill a-c-t-b when we will get cross-arch build dependencies.
  * Build gcc-4.6/cross for building eglibc/cross and then gcc-4.7/cross to
  	have libgcc1/cross. This part will be reverted when eglibc will be
  	compiled with gcc-4.7 version.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 15 May 2012 15:39:42 +0200
