=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 #Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.1
-Build-Depends: dpkg-cross (>= 2.6.5), binutils-multiarch (>= 2.20.1-3~),
+Build-Depends: dpkg-cross (>= 2.6.6), binutils-multiarch (>= 2.20.1-3~),
   dpkg (>= 1.16.0~ubuntu6), fdupes, lsb-release,
   binutils-source (>= 2.21.0.20110327-2~),
   eglibc-source (>= 2.13-20~),
-  gcc-4.6-source (>= 4.6.2-16),
-  linux-source (>= 3.2.0-0~), 
+  gcc-4.7-source (>= 4.7.0-3),
+  linux-source (>= 3.5.0-0~), gcc-4.6-source (>= 4.6.2-16),
   autoconf (>= 2.64), autoconf2.64, autogen, automake (<< 1:1.12),
   automake (>= 1:1.11), bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -23,16 +23,6 @@
 Build-Conflicts: binutils-gold, binutils-arm-linux-gnueabihf
 Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/armhf-cross-toolchain-base
 Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git
-
-Package: binutils-arm-linux-gnueabihf
-Architecture: amd64 i386
-Depends: binutils, ${shlibs:Depends}, ${misc:Depends}
-Description: The GNU binary utilities, for arm-linux-gnueabihf target
- This package provides GNU assembler, linker and binary utilities
- for arm-linux-gnueabihf target, for use in a cross-compilation environment.
- .
- You don't need this package unless you plan to cross-compile programs
- for arm-linux-gnueabihf.
 
 Package: libc6-armhf-cross
 Architecture: all
