## armhf-cross-toolchain-base 1.101

=== debian/changelog ===
armhf-cross-toolchain-base (1.101) raring; urgency=low

  * Bump eglibc to 2.17.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2013 12:44:03 +0000

armhf-cross-toolchain-base (1.100) raring; urgency=low

  * Use the gnu/stubs-<hard|soft>.h header from the non-default multilib
    build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Jan 2013 19:48:41 +0100

armhf-cross-toolchain-base (1.99) raring; urgency=low

  * Fix building the dependency packages for the non-default multilib
    on armel and armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Jan 2013 16:30:58 +0100

armhf-cross-toolchain-base (1.98) raring; urgency=low

  * Don't call dh_shlibdeps for the libgcc packages; the packages are
    just unpacked for the following glibc build, the dependency information
    is not needed. The build fails otherwise on i386 (succeeds on amd64).
  * Build the non-default multilib packages (soft-float), but don't package
    them, because dpkg-cross can't handle them. Instead build the
    libc6{,-dev}-armel-armhf-cross packages again, which depend on the
    libc6{,-dev}-armel-cross packages built from the armel-cross-toolchain-base
    source package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Jan 2013 20:23:18 +0100

armhf-cross-toolchain-base (1.97) raring; urgency=low

  * Remove LD_LIBRARY_PATH settings for gcc builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Jan 2013 03:46:30 +0100

armhf-cross-toolchain-base (1.96) raring; urgency=low

  * Set WITH_SYSROOT for GCC builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Jan 2013 02:21:29 +0100

armhf-cross-toolchain-base (1.95) raring; urgency=low

  * Bump b-d on linux-source to 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jan 2013 22:16:08 +0100

armhf-cross-toolchain-base (1.94) raring; urgency=low

  * For armhf, build soft-/hard-float multilib libraries.
  * Merge powerpc and arm64 cross build changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Jan 2013 23:27:22 +0100

armhf-cross-toolchain-base (1.93) raring; urgency=low

  * Stop building the libgcc packages from this source.
  * Remove the the libc6 dependency on libgcc1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2012 10:11:41 +0100

armhf-cross-toolchain-base (1.92) raring; urgency=low

  * Stop building the dummy packages.
  * Include the stubs-<abi>.h header for the non-default architecture
    in the libc6-dev-<arch>-cross package. Ugly hack, should really
    be built within this source package.
  * Drop obsolete patches for toolchain packages.
  * Allow libelf-dev as a build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Dec 2012 10:11:27 +0100

armhf-cross-toolchain-base (1.91) raring; urgency=low

  * Make use of all toolchain improvements in raring.
  * Use only gcc-4.7 for bootstrap.
  * Bumped linux-source to 3.7
    * added hacks to get linux-libc-dev_armel.deb built
  * Bumped eglibc to 2.16
    * Disabled SELinux support in eglibc - it is there for nscd which we do
      not use.
    * Added debconf(-2.0) to list of ignored deps for dpkg-cross.
  * Bumped gcc-4.7 to 4.7.2-5
    * install libgcc* packages after build-gcc2
    * added workaround for LP: 1078736
    * removed svn-doc-updates.diff from debian/rules.patch - it is broken
  * Forced --disable-werror for cross binutils - aarch64 needs that - LP: 1079676

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 19 Nov 2012 12:06:57 +0100

armhf-cross-toolchain-base (1.90) raring; urgency=low

  * Bumped gcc-4.7 requirements to 4.7.2-5
  * Added patch to fix cross build of gcc-4.7 4.7.2-5* - LP: 1070694
  * Dropped merged patch to binutils

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 24 Oct 2012 09:31:27 +0200
