=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: extra
 #Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
-Standards-Version: 3.9.1
-Build-Depends: dpkg-cross (>= 2.6.6), binutils-multiarch (>= 2.20.1-3~),
+Standards-Version: 3.9.3
+Build-Depends: dpkg-cross (>= 2.6.6), binutils-multiarch (>= 2.23.1-0~),
   dpkg (>= 1.16.0~ubuntu6), fdupes, lsb-release,
-  binutils-source (>= 2.21.0.20110327-2~),
-  eglibc-source (>= 2.13-20~),
-  gcc-4.7-source (>= 4.7.0-3),
-  linux-source (>= 3.5.0-0~), gcc-4.6-source (>= 4.6.2-16),
+  binutils-source (>= 2.23.1-0~),
+  eglibc-source (>= 2.17-0~),
+  gcc-4.7-source (>= 4.7.2-19),
+  linux-source (>= 3.8.0-0~), 
   autoconf (>= 2.64), autoconf2.64, autogen, automake (<< 1:1.12),
   automake (>= 1:1.11), bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
   gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
-  libcloog-ppl-dev (>= 0.15.8-1~), libelfg0-dev (>= 0.8.12), libmpc-dev,
+  libcloog-ppl-dev (>= 0.15.8-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, lzma, m4,
   make (>= 3.81), module-init-tools,
   patchutils, procps, quilt, realpath (>= 1.9.12),
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
   asciidoc, texinfo, texi2html
-Build-Conflicts: binutils-gold, binutils-arm-linux-gnueabihf
+Build-Conflicts: binutils-gold, binutils-arm-linux-gnueabihf, libc6-armhf-cross, linux-libc-dev-armhf-cross,  libc6-armel-cross,
 Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/armhf-cross-toolchain-base
 Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git
 
@@ -56,28 +56,28 @@
  Contains the symlinks, headers, and object files needed to compile
  and link programs which use the standard C library.
 
-Package: libgcc1-armhf-cross
-Architecture: all
-Depends: gcc-4.5-arm-linux-gnueabihf-base, ${misc:Depends}
-Homepage: http://gcc.gnu.org/
-Description: GCC support library
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for armhf architecture, for use in cross-compile
- environment.
+#Package: libgcc1-armhf-cross
+#Architecture: all
+#Depends: gcc-4.7-arm-linux-gnueabihf-base, ${misc:Depends}
+#Homepage: http://gcc.gnu.org/
+#Description: GCC support library
+# Shared version of the support library, a library of internal subroutines
+# that GCC uses to overcome shortcomings of particular machines, or
+# special needs for some languages.
+# .
+# This package contains files for armhf architecture, for use in cross-compile
+# environment.
 
-Package: libgcc1-dbg-armhf-cross
-Architecture: all
-Depends: gcc-4.5-arm-linux-gnueabihf-base, ${misc:Depends}
-Section: debug
-Homepage: http://gcc.gnu.org/
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
- .
- This package contains files for armhf architecture, for use in cross-compile
- environment.
+#Package: libgcc1-dbg-armhf-cross
+#Architecture: all
+#Depends: gcc-4.7-arm-linux-gnueabihf-base, ${misc:Depends}
+#Section: debug
+#Homepage: http://gcc.gnu.org/
+#Description: GCC support library (debug symbols)
+# Debug symbols for the GCC support library.
+# .
+# This package contains files for armhf architecture, for use in cross-compile
+# environment.
 
 Package: linux-libc-dev-armhf-cross
 Architecture: all
@@ -96,18 +96,7 @@
 Depends: libc6-dev-armel-cross
 Description: Dummy package to get libc6-dev:armel installed
 
-Package: libc6-dev-armhf-armel-cross
-Architecture: all
-Depends: libc6-dev-armhf-cross
-Description: Dummy package to get libc6-dev:armhf installed
-
 Package: libc6-armel-armhf-cross
 Architecture: all
 Depends: libc6-armel-cross
 Description: Dummy package to get libc6:armel installed
-
-Package: libc6-armhf-armel-cross
-Architecture: all
-Depends: libc6-armhf-cross
-Description: Dummy package to get libc6:armhf installed
-
