## armhf-cross-toolchain-base 1.102

=== debian/changelog ===
armhf-cross-toolchain-base (1.102) saucy; urgency=low

  * Update to kernel version found in saucy.
  * Provide symlinks for the non-default multilib files in the
    libc6{,-dev}-armel-armhf-cross and libc6{,-dev}-armel-cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Jun 2013 19:38:31 +0200
