=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 #Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.3
-Build-Depends: dpkg-cross (>= 2.6.6), binutils-multiarch (>= 2.23.1-0~),
+Build-Depends: dpkg-cross (>= 2.6.6), binutils-multiarch (>= 2.23.2-0~),
   dpkg (>= 1.16.0~ubuntu6), fdupes, lsb-release,
-  binutils-source (>= 2.23.1-0~),
+  binutils-source (>= 2.23.2-0~),
   eglibc-source (>= 2.17-0~),
-  gcc-4.7-source (>= 4.7.2-19),
-  linux-source (>= 3.8.0-0~), 
-  autoconf (>= 2.64), autoconf2.64, autogen, automake (<< 1:1.12),
-  automake (>= 1:1.11), bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
+  gcc-4.7-source (>= 4.7.3-5),
+  linux-source (>= 3.9.0-0~), 
+  autoconf (>= 2.64), autoconf2.64, autogen,
+  bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
   gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
   libcloog-ppl-dev (>= 0.15.8-1~), libmpc-dev,
